#!/bin/sh
## Note, this is called by symlinks named bz2.sh, gzip.sh, or xz.sh.  Call tar with correct args based upon the calling name.
## this also keeps the tarball in the download directory
DOWNLOAD_DIR=/downloads

base=${0##*/}
case "$base" in

"gzip.sh") ARGS="-zxv"
           ;;
"bz2.sh")  ARGS="-xjv"
           ;;
"xz.sh")   ARGS="-xJv"
           ;;
*)         echo "invalid call ${base}"
           exit 1
           ;;
esac

url="$1"
tarFile="$DOWNLOAD_DIR/${url##*/}"
mkdir -p $DOWNLOAD_DIR && wget ${url} -O ${tarFile}
mkdir amd64 && tar ${ARGS} --strip-components=1 -f ${tarFile} -C amd64 && cp -rp amd64 linux-arm && cp -rp amd64 android-arm && cp -rp amd64 darwin-amd64 && cp -rp amd64 windows-amd64
