#!/bin/bash

set -eu

use_cpp=1
ldflags=""
linking_step=0
arguments=()

for var in "$@"
do
    if [[ "$var" =~ /D.* ]]
    then
       macro=${var:2}
       arguments+=("-D${macro}")
    elif [[ "$var" =~ /W.* ]]
    then
	echo "skip warning $var option"
    elif [[ "$var" =~ /wd.* ]]
    then
	echo "skip warning $var option"
    elif [[ "$var" =~ /I.* ]]
    then
	dir=${var:2}
	arguments+=("-I${dir}")
    elif [[ "$var" =~ /U.*  ]]
    then
	macro=${var:2}
	arguments+=("-U${macro}")
    elif [[ "$var" =~ /EH.* ]]
    then
	echo "skip exception handling $var option"
    elif [[ "$var" =~ -ignore.* ]]
    then
	echo "skip ignore warning $var flag"
    elif [[ $var =~ .*tensorflowlite_c.dll ]]
    then
	linking_step=1
	arguments+=("$var")
    elif [[ $var =~  external/fft2d/fft2d/.* ]]
    then
	use_cpp=0
	arguments+=("$var")
    else
	arguments+=("$var")
    fi
done

if [ "$linking_step" == "1" ]
then
    ldflags="-lshlwapi -static-libstdc++ -static-libgcc"
fi

#/usr/bin/x86_64-w64-mingw32-g++-posix "${arguments[@]}" -fpermissive -I/tensorflow_build/include $ldflags
if [ "$use_cpp" == "1" ]
then
    echo /usr/bin/x86_64-w64-mingw32-g++-posix "${arguments[@]}" -fpermissive -I/tensorflow_build/include $ldflags
    /usr/bin/x86_64-w64-mingw32-g++-posix "${arguments[@]}" -fpermissive -I/tensorflow_build/include $ldflags
else
    echo /usr/bin/x86_64-w64-mingw32-gcc-posix "${arguments[@]}" -fpermissive -I/tensorflow_build/include $ldflags
    /usr/bin/x86_64-w64-mingw32-gcc-posix "${arguments[@]}" -fpermissive -I/tensorflow_build/include $ldflags
fi
